> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/android-docs/auth-feature/register-a-new-user.md).

# Register a new user

If you wish to register a new user you will have to call the **`MBurgerAuthTasks.registerUser(…)`** method.

{% hint style="warning" %}
Be aware that a Nooko user contains these fields, some required, some not required, and some autofilled when registering.
{% endhint %}

* (Auto-filled) `ID`
* (Required) `Name`
* (Required) `Surname`
* (Required) `Email`
* `Phone`
* `Image`
* `Auxiliar data`
* (Auto-filled) `Auth mode`

Where Auxiliar data is an arbitrary string you can pass while registering a user.&#x20;

So registration code will result:

```kotlin
private var listener: MBAuthApiRegisterListener
private var edt_name, edt_surname, edt_email, edt_password: EditText
private var phone: String
private var img_uri: Uri
private var auxiliar_data: String

MBurgerAuthTasks.registerUser(applicationContext,
    listener,                             //Listener for registration
    edt_name.getText().toString(),        //Name, REQUIRED
    edt_surname.getText().toString(),     //Surname, REQUIRED
    phone,                                //Phone number, nullable
    img_uri,                              //Image, nullable
    edt_email.getText().toString(),       //Email, REQUIRED
    edt_password.getText().toString(),    //Password REQUIRED
    auxiliar_data);                       //Auxiliar data nullable
```

This method won’t return anything less than an error if the email is already taken or any other problem occurred.&#x20;

{% hint style="info" %}
To obtain the profile of the user and also to call all the other API with this authorization, you will need to **login** this user.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/android-docs/auth-feature/register-a-new-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
